%global tarballversion 350

Name: scite 
Version: 3.5.0
Release: 1%{?dist}
Summary: SCIntilla based GTK2 text editor
License: MIT
Group: Applications/Editors
Url: http://www.scintilla.org/SciTE.html

Source0: http://download.sourceforge.net/scintilla/scite%{tarballversion}.tgz
Patch0: scite-utf8.patch

%if 0%{?fedora}%{?el7}
BuildRequires: gtk3-devel
%endif

BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils

%description
SciTE is a SCIntilla based Text Editor. Originally built to demonstrate
Scintilla, it has grown to be a generally useful editor with facilities for
building and running programs.

%prep
%setup -q -c
%patch0
#remove bundled lua
rm -rf scite/lua

%build
%if 0%{?el6}
make %{?_smp_mflags} LDFLAGS="%{?__global_ldflags}" \
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" DEBUG=1 -C scintilla/gtk
#Build without lua support
make %{?_smp_mflags} LDFLAGS="%{?__global_ldflags}" \
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" DEBUG=1 NO_LUA=1 -C scite/gtk
%endif

%if 0%{?fedora}%{?el7}
make %{?_smp_mflags} LDFLAGS="%{?__global_ldflags}" \
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" GTK3=1 DEBUG=1 -C scintilla/gtk
#Build without lua support
make %{?_smp_mflags} LDFLAGS="%{?__global_ldflags}" \
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" GTK3=1 DEBUG=1 NO_LUA=1 -C scite/gtk
%endif

%install
make DESTDIR=%{buildroot} -C scite/gtk install
ln -s SciTE %{buildroot}%{_bindir}/scite

# include man-page
install -D -p -m 644 scite/doc/scite.1 %{buildroot}%{_mandir}/man1/scite.1

desktop-file-install --delete-original  \
  --dir %{buildroot}%{_datadir}/applications            \
  --remove-category Application                         \
  --remove-key Encoding					\
  %{buildroot}%{_datadir}/applications/SciTE.desktop


%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files
%doc scite/License.txt 
%{_mandir}/man1/scite.1*
%{_bindir}/SciTE
%{_bindir}/scite
%{_datadir}/scite/
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Mon Aug 18 2014 Johan Swensson <kupo@kupo.se> - 3.5.0-1
- Update to 3.5.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 24 2014 Johan Swensson <kupo@kupo.se> - 3.4.4-1
- update to 3.4.4
- remove bundled lua library
- build without lua scripting support for now
- use --remove-key instead of sed
- add update-desktop-database scriptlets
- remove unnecessary README file
- add support for el6
- fix build conditional
- fixed BuildRequires conditional
- fix LDFLAGS macro
- remove deprecated key in desktop file
- use GTK3 (el7 and fedora)
- drop vendor from desktop-file-install
- use correct LDFLAGS and CXXFLAGS
- install man page correctly
- drop no longer needed install step and defattr 

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 4 2010 Jorge Torres <jtorresh@gmail.com> 2.22-1
- Update to 2.22

* Sat Apr 17 2010 Jorge Torres <jtorresh@gmail.com> 2.11-1
- Update to 2.11
- Fix bug #564689

* Thu Oct 1 2009 Jorge Torres <jtorresh@gmail.com> 2.01-1
- Update to 2.01

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.77-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 4 2009 Jorge Torres <jtorresh@gmail.com> 1.77-1
- Upgrade to 1.77

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.74-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.74-3
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.74-2
- Rebuild for selinux ppc32 issue.

* Wed Jun 20 2007 Jorge Torres <jtorresh@gmail.com> 1.74-1
- Upgrade to 1.74.
- Default to UTF-8 encoding (fixes bug #240558).
- Remove iconv workaround for desktop file encoding.

* Fri Sep 01 2006 Jorge Torres <jtorresh@gmail.com> 1.71-1
- Upgrade to 1.71
- Use 'iconv' to work around a desktop file encoding issue

* Thu Jun 22 2006 Jorge Torres <jtorresh@gmail.com> 1.70-1
- Upgrade to 1.70
- Drop man-page capitalization patch

* Sun Jun 04 2006 Jorge Torres <jtorresh@gmail.com> 1.69-3
- Remove usage of MultipleArgs in desktop file.

* Fri Jun 02 2006 Jorge Torres <jtorresh@gmail.com> 1.69-2
- Changed license to MIT.
- Added patches to support compiling with %%{optflags}.
- Misc fixes.

* Thu Jun 01 2006 Jorge Torres <jtorresh@gmail.com> 1.69-1
- Initial package version.
